Name:		gsmartcontrol
Version:	0.8.6
Release:	%mkrel 1
License:	GPLv2, GPLv3
Url:		http://gsmartcontrol.berlios.de
Group:		System/Kernel and hardware
Source:		http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2
Patch0:		gsmartcontrol-0.8.6-glib2.31.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Summary:	GSmartControl - Hard Disk Health Inspection Tool
Requires:	gtkmm2.4 >= 2.12.0
Requires:	smartmontools
Requires:	usermode-consoleonly
BuildRequires:	pcre-devel
BuildRequires:	gtkmm2.4-devel >= 2.12.0


%description
GSmartControl is a graphical user interface for smartctl, which is a tool for
querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
Technology) data in hard disk drives. It allows you to inspect the drive's
SMART data to determine its health, as well as run various tests on it.

%prep
%setup -q
%if %{mdvver} > 201100
#GLib API changed in 2.31 so use patch
%patch0 -p1 -b .glib2.31
%endif
sed -i -e "s/Exec=.*gsmartcontrol-root\"/Exec=gsmartcontrol/" data/gsmartcontrol.desktop.in

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

mkdir %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %buildroot

%files
%doc %{_datadir}/doc/%{name}
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}-root.1*
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Nov 02 2011 Andrey Bondrov <abondrov@mandriva.org> 0.8.6-1mdv2012.0
+ Revision: 712293
- Add patch0 to fix build with glib 2.31
- New version 0.8.6

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdv2011.0
+ Revision: 610986
- rebuild

* Wed Jan 20 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 493959
- New version: 0.8.5
- Drop an apparently unnneeded GCC 4.4 patch

* Sun Jul 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-2mdv2010.0
+ Revision: 400223
- Use consolehelper to launch gsmartcontrol as root when started from menu

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 375788
- Update to new version 0.8.4
- Remove unused source
- Fix source URL

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 319963
- drop BR
- New version 0.8.3

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.8.1-2mdv2009.1
+ Revision: 307457
- drop requries on libpcre, it was already generated by binary dependency

* Thu Nov 13 2008 Erwan Velu <erwan@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 302911
- Adding missing buildrequires
- Using new _root.sh script from the author
- import gsmartcontrol


* Mon Oct 06 2008 Alexander Shaduri <ashaduri 'at' gmail.com>
- Updated .spec file to support OpenSUSE < 10.3, Fedora and friends,
	Mandriva (for OpenSUSE Build Service).

* Mon Sep 15 2008 Alexander Shaduri <ashaduri 'at' gmail.com>
- Initial .spec file.

